{"command":{"effect":"read","timeoutSeconds":30,"inputSchema":{"type":"object","description":"Gets a single secret scanning alert detected in an eligible repository.\n\nThe authenticated user must be an administrator for the repository or for the organization that owns the repository to use this endpoint.\n\nOAuth app tokens and personal access tokens (classic) need the `repo` or `security_events` scope to use this endpoint. If this endpoint is only used with public repositories, the token can use the `public_repo` scope instead.","properties":{"path":{"type":"object","properties":{"owner":{"type":"string","description":"The account owner of the repository. The name is not case sensitive."},"repo":{"type":"string","description":"The name of the repository without the `.git` extension. The name is not case sensitive."},"alert_number":{"$ref":"#/definitions/alert-number","description":"The number that identifies an alert. You can find this at the end of the URL for a code scanning alert within GitHub, and in the `number` field in the response from the `GET /repos/{owner}/{repo}/code-scanning/alerts` operation."}},"required":["owner","repo","alert_number"],"additionalProperties":false},"query":{"type":"object","properties":{"hide_secret":{"type":"boolean","default":false,"description":"A boolean value representing whether or not to hide literal secrets in the results."}},"required":[],"additionalProperties":false}},"required":["path"],"additionalProperties":false,"definitions":{"alert-number":{"type":"integer","description":"The security alert number."}}},"name":"Get a secret scanning alert","id":"github.secret-scanning.get-alert","example":{"path":{"owner":"octocat","repo":"hello-world","alert_number":1}},"maxRequests":1,"summary":false}}